###################################################
### chunk number 1: 
###################################################
library(editrules)


###################################################
### chunk number 2: 
###################################################
balance <- data.frame(
    cost      = c( 75, 300, 70),
    profit    = c(125,  40, 10),
    turnover  = c(200, 320, 80))


###################################################
### chunk number 3: 
###################################################
E <- editmatrix(c(
    "turnover == cost + profit",
    "profit   <= 0.6*turnover"))


###################################################
### chunk number 4: 
###################################################
(valid <- checkRows(E, balance))


###################################################
### chunk number 5: 
###################################################
listViolatedEdits(E, balance)


###################################################
### chunk number 6: 
###################################################
(edits <- data.frame(
    name  = c("balance","suspect"),
    edit  = c("turnover == cost + profit", 
              "profit <= 0.6*turnover"),
    description = c("balance check",
                    "suspiciously high turnover")))


###################################################
### chunk number 7: 
###################################################
(E <- editmatrix(edits))


###################################################
### chunk number 8: 
###################################################
getC(E)


###################################################
### chunk number 9: 
###################################################
getOps(E)


###################################################
### chunk number 10: 
###################################################
E[getOps(E)== "<="]


###################################################
### chunk number 11: 
###################################################
getVars(E)


